//----------------------------------------------------------------------
//MODEULE: adc0.h
//COMMON DESCRIPTION:
//  //  This module contain headers for adc0.c 
//----------------------------------------------------------------------
// Common declarations
//----------------------------------------------------------------------
#ifdef ADC0_ENABLED
  void adc0_init();
  #define adc0_init_mac() adc0_init()
  // Macros definitions
  // Set channel
  #define ADC0_SET_CHANNEL(c) output(ADMUX,c)
  // Start of conversion
  #define ADC0_START() output(ADCSR,input(ADCSR)|(1<<ADEN)|(1<<ADSC));_NOP();_NOP();
  // Procedures definition
  unsigned int ADC0_GET_MEAN();
  //
#else
  #define adc0_init_mac()
#endif
//----------------------------------------------------------------------
