//----------------------------------------------------------------------
//MODEULE: ni_15.h
//COMMON DESCRIPTION:
//  This module provide support bus NI-15 (NedoInterface-15)
//----------------------------------------------------------------------
// Common declarations
//----------------------------------------------------------------------
#ifdef NI_15_ENABLED
  void ni_15_init();
  // AutoInit module macros
  #define ni_15_init_mac() ni_15_init()
  unsigned int ADC0_GET_MEAN();
  // Define procedures
  //--------------------------------------------------------------------
  // Read from memory
  unsigned char ni_15_rdmem(unsigned int adr);
  // Read from IO-port
  unsigned char ni_15_rdio(unsigned int adr);
  // Write to memory
  void ni_15_wrmem(unsigned int adr, unsigned char byte);
  // Write to IO-port
  void ni_15_wrio(unsigned int adr, unsigned char byte);
  //--------------------------------------------------------------------
#else
  #define ni_15_init_mac()
#endif
//----------------------------------------------------------------------
