//----------------------------------------------------------------------
//MODEULE: sysdef.h
//COMMON DESCRIPTION:
//  This module contain common declaration for hardware
//----------------------------------------------------------------------
#include "allres.h"
//----------------------------------------------------------------------
// All *.h files
#include "sys.h"
//----------------------------------------------------------------------
#define F_CLK            8000000
//----------------------------------------------------------------------
// Create procedure, which called name() one time, without
// repeat entry 
#define settask(name)\
  unsigned char name##var;\
  void task##name()\
    {unsigned char tsreg;\
     if(!name##var)\
     {name##var=1;\
      tsreg=input(SREG);\
      _SEI();\
      name();\
      output(SREG,tsreg);\
      name##var=0;\
     }\
    }
//----------------------------------------------------------------------
